StandardServiceRegistryImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.internal
Class StandardServiceRegistryImpl

    java.lang.Object
      org.hibernate.service.internal.AbstractServiceRegistryImpl
          org.hibernate.service.internal.StandardServiceRegistryImpl

All Implemented Interfaces:
  ServiceRegistry, ServiceBinding.ServiceLifecycleOwner, ServiceRegistryImplementor

    public class StandardServiceRegistryImpl

extends AbstractServiceRegistryImpl
implements ServiceRegistry

Hibernate implementation of the standard service registry.

Constructor Summary
`StandardServiceRegistryImpl(BootstrapServiceRegistry bootstrapServiceRegistry, List<BasicServiceInitiator> serviceInitiators, List<ProvidedService> providedServices, Map<?,?> configurationValues)`

Method Summary
`
`<R extends Service> void`
` | `configureService(ServiceBinding<R> serviceBinding)`
`
`<R extends Service> R`
` | `initiateService(ServiceInitiator<R> serviceInitiator)`

Methods inherited from class org.hibernate.service.internal.AbstractServiceRegistryImpl
`createService, createServiceBinding, createServiceBinding, destroy, getParentServiceRegistry, getService, injectDependencies, locateServiceBinding, locateServiceBinding, registerService, startService, stopService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.service.ServiceRegistry
`getParentServiceRegistry, getService`

Constructor Detail

### StandardServiceRegistryImpl

    public StandardServiceRegistryImpl(BootstrapServiceRegistry bootstrapServiceRegistry,
                                       List<BasicServiceInitiator> serviceInitiators,
                                       List<ProvidedService> providedServices,
                                       Map<?,?> configurationValues)

Method Detail

### initiateService

    public <R extends Service> R initiateService(ServiceInitiator<R> serviceInitiator)

  Specified by:
    `initiateService` in interface `ServiceBinding.ServiceLifecycleOwner`

### configureService

    public <R extends Service> void configureService(ServiceBinding<R> serviceBinding)

  Specified by:
    `configureService` in interface `ServiceBinding.ServiceLifecycleOwner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.